* [test] add build script for source release
diff --git a/README_RELEASE.md b/README_RELEASE.md
index 287df1a..4f78c43 100644
--- a/README_RELEASE.md
+++ b/README_RELEASE.md
@@ -1,7 +1,15 @@
+# Weex Apache Source Release   
+Weex produce SDKs to integrate to iOS/Android/Mobile web applications. This file will cover how to build Weex from source. You can either use the script we provided or manually build from source step by step.   
+See `README.md` for further information about Weex Framework.
 
+## Build with Script
 
+Run build script:   
+> `$ bash script/build_from_source.sh`
 
-## Build from source   
+This's may take a while. After that, you can look into `dist/`, `android/sdk/build/output/` and `ios/sdk/Products` for Web/Android/iOS SDK artifacts.
+
+## Build Step by Step
 
 ### Build Javascript Framework and Html5 SDK
 Javascript Framework is required by SDKs. **So this must be built first.**  
diff --git a/package.json b/package.json
index 6e8b1f5..fc3f32f 100644
--- a/package.json
+++ b/package.json
@@ -40,7 +40,7 @@
     "postinstall": "bash ./bin/install-hooks.sh",
     "build:native": "node build/build.js native",
     "build:runtime": "node build/build.js runtime",
-    "install:tools": "npm i rollup rollup-watch rollup-plugin-buble rollup-plugin-json rollup-plugin-eslint rollup-plugin-commonjs rollup-plugin-flow rollup-plugin-flow-no-whitespace rollup-plugin-postcss rollup-plugin-replace rollup-plugin-uglify rollup-plugin-node-resolve wwp flow-bin babel-core babel-eslint babel-istanbul babel-loader babel-plugin-coverage babel-preset-es2015 babel-runtime eslint-plugin-flowtype",
+    "install:buildtools": "npm i rollup rollup-watch rollup-plugin-buble rollup-plugin-json rollup-plugin-eslint rollup-plugin-commonjs rollup-plugin-flow rollup-plugin-flow-no-whitespace rollup-plugin-postcss rollup-plugin-replace rollup-plugin-uglify rollup-plugin-node-resolve wwp flow-bin babel-core babel-eslint babel-istanbul babel-loader babel-plugin-coverage babel-preset-es2015 babel-runtime eslint-plugin-flowtype",
     "build:source": "npm run build:native && npm run build:browser && node build/build.js vue",
     "build:browser": "wwp && node build/build.js browser",
     "build:browser:common": "rollup -c build/rollup.browser.common.config.js",
diff --git a/scripts/build_from_source.sh b/scripts/build_from_source.sh
new file mode 100644
index 0000000..cd86124
--- /dev/null
+++ b/scripts/build_from_source.sh
@@ -0,0 +1,44 @@
+#!/bin/bash -eu
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+if [ ! -f scripts/build_from_source.sh ];then
+    echo "This script must execute in project root"
+    exit 1
+fi
+PROJECT_DIR=$(pwd)
+echo "Build Weex SDK From Source...."
+
+npm install --production
+npm run install:buildtools
+npm run build:source
+
+echo "Javascript Framework and HTML5 SDK build completed."
+sleep 2
+
+cp dist/native.min.js ios/sdk/WeexSDK/Resources/main.js
+cp dist/native.min.js android/sdk/assets/main.js
+
+cd android 
+gradle wrapper --gradle-version 2.14.1
+echo 'include ":sdk"'>settings.gradle
+./gradlew :sdk:assemble -PasfRelease
+cd $PROJECT_DIR
+
+xcodebuild -project ios/sdk/WeexSDK.xcodeproj -target WeexSDK_MTL
+
+echo "Weex SDK Build completed."
\ No newline at end of file
diff --git a/scripts/release_files.rules b/scripts/release_files.rules
index a1d7937..75f34a2 100644
--- a/scripts/release_files.rules
+++ b/scripts/release_files.rules
@@ -9,6 +9,7 @@
 # This line only include folder itself, not files or subfolder under it.
 + /scripts/
 + /scripts/rat-ant-build.xml
++ /scripts/build_from_source.sh
 + /LICENSE
 + /NOTICE
 + /POSSIBLE-NOTICES-FOR-BIN-DIST